---
hcloud_firewall_app_specific_stuff: False
hcloud_firewall_objects:
   -
     name: "{{ stage }}-default"
     state: present
     rules:
     -
        direction: in
        protocol: icmp
        port: ''
        source_ips: '{{ ip_whitelist }}'
        destination_ips: []
        description: ICMP allowed
     -
        direction: in
        protocol: tcp
        port: '22'
        source_ips: '{{ ip_whitelist }}'
        destination_ips: []
        description: SSH allowed
     -
        direction: in
        protocol: tcp
        port: '80'
        source_ips: '{{ ip_whitelist }}'
        destination_ips: []
        description: HTTP allowed
     -
        direction: in
        protocol: tcp
        port: '443'
        source_ips: '{{ ip_whitelist }}'
        destination_ips: []
        description: HTTPS allowed
     apply_to:
     -
       type: label_selector
       label_selector:
         selector: 'stage={{ stage }}'
   -
     name: "{{ stage }}-access-to-kubernetes-api"
     state: present
     rules:
     -
        direction: in
        protocol: tcp
        port: '6443'
        source_ips: "{{ ip_whitelist }}"
        destination_ips: []
        description: "Allow access for whitelisted ips"
     apply_to:
     -
       type: label_selector
       label_selector:
         selector: 'stage={{ stage }},service=kube_control_plane'
